import { ObjectType } from '../models';
import { CurrentContext } from '../services/application.service';
import { ObjectSubType } from './../models/object-sub-type.model';
import { ObjectTypeService } from './../services/object-type.service';
export declare class ObjectTypeController {
    objectTypeService: ObjectTypeService;
    constructor(objectTypeService: ObjectTypeService);
    create(objectType: Omit<ObjectType, 'id'> & {
        name: string;
    }, ctx: CurrentContext): Promise<ObjectType>;
    find(ctx: CurrentContext): Promise<ObjectType[]>;
    updateById(id: string, objectType: ObjectType, ctx: CurrentContext): Promise<ObjectType>;
    deleteById(id: string, ctx: CurrentContext): Promise<void>;
    createSubType(id: typeof ObjectType.prototype.id, objectSubType: Omit<Omit<ObjectSubType, 'id'>, 'uri'>, ctx: CurrentContext): Promise<ObjectSubType>;
    updateSubTypeById(objectTypeId: string, id: string, objectSubType: ObjectSubType, ctx: CurrentContext): Promise<ObjectSubType>;
    deleteSubTypeById(objectTypeId: string, id: string, ctx: CurrentContext): Promise<void>;
}
